dbXML API

## com.dbxml.db.server.labrador
Class ServerProxy

    java.lang.Object
      com.dbxml.db.server.labrador.ServerProxy

public final class ServerProxy
extends java.lang.Object

ServerProxy provides server management capabilities. At the moment, this only includes shutting the server down.

Field Summary
`static java.lang.String[]` `PARAMS_shutdown`

Constructor Summary
`ServerProxy(Server server)`

Method Summary
`java.lang.String` `getServerVersion()`
`void` `shutdown(int exitCode)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARAMS_shutdown

    public static final java.lang.String[] PARAMS_shutdown

Constructor Detail

### ServerProxy

    public ServerProxy(Server server)

Method Detail

### getServerVersion

    public java.lang.String getServerVersion()

### shutdown

    public void shutdown(int exitCode)
                  throws DBException

  Throws:
    `DBException`

dbXML API

Copyright (c) 2004 The dbXML Group